summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorJohn (J5) Palmieri <johnp@redhat.com>2008-01-15 16:23:54 -0500
committerJohn (J5) Palmieri <johnp@redhat.com>2008-01-15 16:23:54 -0500
commit94bc113117ea967c3c77d6a19ab3971ac6455765 (patch)
tree8a4d8471d6fef936b5fdd5100d404ae046266fb3 /test
parent738743002dc72b69cf440d5a4be30e2fedf51892 (diff)
make shell script more portable (FDO Bug #11667)
2008-01-15 John (J5) Palmieri <johnp@redhat.com> * tests/name-test/run-test.sh: make more portable (FDO Bug #11667)
Diffstat (limited to 'test')
-rwxr-xr-xtest/name-test/run-test.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/test/name-test/run-test.sh b/test/name-test/run-test.sh
index 0a1f7112..5d9c584a 100755
--- a/test/name-test/run-test.sh
+++ b/test/name-test/run-test.sh
@@ -16,7 +16,8 @@ SCRIPTNAME=$0
MODE=$1
## so the tests can complain if you fail to use the script to launch them
-export DBUS_TEST_NAME_RUN_TEST_SCRIPT=1
+DBUS_TEST_NAME_RUN_TEST_SCRIPT=1
+export DBUS_TEST_NAME_RUN_TEST_SCRIPT
# Rerun ourselves with tmp session bus if we're not already
if test -z "$DBUS_TEST_NAME_IN_RUN_TEST"; then
@@ -25,13 +26,13 @@ if test -z "$DBUS_TEST_NAME_IN_RUN_TEST"; then
exec $DBUS_TOP_SRCDIR/tools/run-with-tmp-session-bus.sh $SCRIPTNAME $MODE
fi
echo "running test-ids"
-libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-ids || die "test-ids failed"
+${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-ids || die "test-ids failed"
echo "running test-names"
-libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-names || die "test-names failed"
+${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-names || die "test-names failed"
echo "running test-pending-call-dispatch"
-libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-pending-call-dispatch || die "test-pending-call-dispatch failed"
+${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-pending-call-dispatch || die "test-pending-call-dispatch failed"
echo "running test-threads-init"
-libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-threads-init || die "test-threads-init failed"
+${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-threads-init || die "test-threads-init failed"